{% extends "../../layout.jinja2" %}

{% set observation = exposure.observation %}
{% set target = observation.target %}

{% block content %}
<div class="card">
    <div class="card-header">
        Exposure
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd>{{ exposure.id }}</dd>

            <dt>Header ID</dt>
            <dd><a href="{{ request.route_path('detail', type='header', id=exposure.header_id) }}">{{ exposure.header_id }}</a></dd>

            <dt>Date updated</dt>
            <dd>{{ exposure.date_updated|datetime }}</dd>

            <dt>Release date</dt>
            <dd>{{ exposure.date_release|datetime }}</dd>

            <dt>UTC Start</dt>
            <dd>{{ exposure.obs_time_start }}</dd>

            <dt>UTC End</dt>
            <dd>{{ exposure.obs_time_end }}</dd>

            <dt>MJD Start</dt>
            <dd>{{ exposure.mjd_start }}</dd>

            <dt>MJD End</dt>
            <dd>{{ exposure.mjd_end }}</dd>

            <dt>Exposure time (s)</dt>
            <dd>{{ exposure.obs_exp_time_string }}</dd>

            <dt>Validation level</dt>
            <dd>{{ exposure.validation_level }}</dd>

            <dt>Tau 0: Coherence time (s)</dt>
            <dd>{{ exposure.tau0 }}</dd>

            <dt>Ambient temperature (°C)</dt>
            <dd>{{ exposure.temperature }}</dd>

            <dt>Seeing (arcsec)</dt>
            <dd>{{ exposure.seeing }}</dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Observation
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd><a href="{{ request.route_path('detail', type='observation', id=observation.id) }}">{{ observation.id }}</a></dd>

            <dt>Category</dt>
            <dd>{{ observation.category }}</dd>

            <dt>Program ID</dt>
            <dd>{{ observation.program_id }}</dd>

            <dt>Program Title</dt>
            <dd>{{ observation.program.title }}</dd>

            <dt>Program Type</dt>
            <dd>{{ observation.program.type }}</dd>

            <dt>PI / COI</dt>
            <dd>{{ observation.program.pi_coi }}</dd>
        </dl>
    </div>
</div>

{% if target %}
<div class="card">
    <div class="card-header">
        Target
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd><a href="{{ request.route_path('detail', type='target', id=target.id) }}">{{ target.id }}</a></dd>

            <dt>Name</dt>
            <dd>{{ target.name }}</dd>

            <dt>RA</dt>
            <dd>{{ target.ra }}</dd>

            <dt>DEC</dt>
            <dd>{{ target.dec }}</dd>
        </dl>
    </div>
</div>
{% endif %}

<div class="card">
    <div class="card-header">
        Instrument
    </div>
    <div class="card-body">
        <dl>
            <dt>Interferometer</dt>
            <dd><a href="{{ request.route_path('detail', type='interferometer', id=observation.interferometer_id) }}">{{ observation.interferometer.name }}</a></dd>

            <dt>Instrument</dt>
            <dd><a href="{{ request.route_path('detail', type='instrument', id=observation.instrument_id) }}">{{ observation.instrument.name }}</a></dd>

            {% if observation.instrument_mode %}
            <dt>Instrument mode</dt>
            <dd>{{ observation.instrument_mode.name }}</dd>
            {% endif %}

            {% if observation.instrument_submode %}
            <dt>Instrument sub-mode</dt>
            <dd>{{ observation.instrument_submode }}</dd>
            {% endif %}

            {% if observation.stations %}
            <dt>Stations</dt>
            <dd>{{ observation.stations }}</dd>
            {% endif %}

            {% if observation.pops %}
            <dt>Pops</dt>
            <dd>{{ observation.pops }}</dd>
            {% endif %}
        </dl>
    </div>
</div>

{% if exposure.projected_baselines %}
<div class="card">
    <div class="card-header">
        Projected baselines
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Baseline</th>
                    <th>Length start</th>
                    <th>Length end</th>
                    <th>Angle start</th>
                    <th>Angle end</th>
                </tr>
            </thead>
            <tbody>
            {% for projected_baseline_key in exposure.projected_baselines %}
                {% with projected_baseline = exposure.projected_baselines[projected_baseline_key] %}
                <tr>
                    <td>{{ projected_baseline_key }}</td>
                    <td>{{ projected_baseline.length.start }}</td>
                    <td>{{ projected_baseline.length.end }}</td>
                    <td>{{ projected_baseline.angle.start }}</td>
                    <td>{{ projected_baseline.angle.end }}</td>
                </tr>
                {% endwith %}
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% if exposure.invalid_fields %}
<div class="card">
    <div class="card-header">
        Invalid fields
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Key</th>
                </tr>
            </thead>
            <tbody>
            {% for field in exposure.invalid_fields %}
                <tr>
                    <td>{{ field }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% if exposure.header.validation_log %}
<div class="card">
    <div class="card-header">
        Header: validation messages
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Message</th>
                </tr>
            </thead>
            <tbody>
            {% for message in exposure.header.validation_log %}
                <tr>
                    <td>{{ message }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% if exposure.header.extracted_content %}
<div class="card">
    <div class="card-header">
        Header: used keywords
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>Key</th>
                    <th>Value</th>
                </tr>
            </thead>
            <tbody>
            {% for key in exposure.header.extracted_content %}
                <tr>
                    <td>{{ key }}</td>
                    <td>{{ exposure.header.extracted_content[key] }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}

{% endblock content %}